<?

/*
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~ KERPE.RU CMS 1.0                         ~
~ Официальный сайт движка: http://kerpe.ru ~
~ Автор: Kerpe (icq: 4566698)              ~
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

include 'connect.php';

switch($_GET['act'])
{
//Создание категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_cat':
if ($u['admin'] == 1){
$title = $title.' | Смайлики';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики | Создание категории</div>';
echo '<div class="subtitle">';
echo '<a href = "smiles.php">К категориям</a>';
echo '</div>';
echo '<div class="main_menu">';
if (isset($_POST['submit']) and isset($_POST['name_cat'])) {
$name_cat = check(substr($_POST['name_cat'], 0, 100));
mysql_query("INSERT INTO `smiles_category` SET
`name` = '$name_cat',
`ord` = '0'
");
$id = mysql_insert_id();
echo '<div class = "action">Категория <a href = "smiles.php?act=view&id='.$id.'"><b>'.$name_cat.'</b></a> успешно создана!</div>';
} else {
//Блоки ввода
echo '<form action=smiles.php?act=add_cat method=post>
Название: <br/><input type=text name=name_cat maxlength=50><br/>
<input type=submit name="submit" value=Создать class=submit white/ ></form>';
}
echo '</div>';
include 'foot.php';
}
break;

//Редактирование категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit_cat':
if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `smiles_category` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $category = mysql_fetch_assoc($req);
   }
}
if($category){
$title = $title.' | Смайлики';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики | Редактирование категории</div>';
echo '<div class="subtitle">';
echo '<a href = "smiles.php">К категориям</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit']) and isset($_POST['name'])) {
      $name = check(substr($_POST['name'], 0, 100));
      mysql_query("UPDATE `smiles_category` SET
      `name` = '$name'
      WHERE `id` = '$id'
      ");
      echo '<div class = "action">Изменения сохранены!</div>';
      } else {
      $name = checkout($category['name']);
      echo '<form action="smiles.php?act=edit_cat&amp;id='.$id.'" method="post">';
      echo '<textarea cols="20" rows="2" name="name">'.$name.'</textarea><br/>';
      echo '<input type="submit" name="submit" value="Сохранить" class="submit white"/>';
      echo '</form>';
      }
echo '</div>';
include 'foot.php';
}
}
break;

//Удаление категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_cat':
if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `smiles_category` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $category = mysql_fetch_assoc($req);
   }
}
if($category){
$title = $title.' | Смайлики';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики | Удаление категории</div>';
echo '<div class="subtitle">';
echo '<a href = "smiles.php">К категориям</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  $result =mysql_query("SELECT `id` FROM `smiles` WHERE `category` = '".$category['id']."'");
      while ($row = mysql_fetch_assoc($result)) {
      unlink('smiles/'.$row['id'].'.gif');
      }
	  mysql_query("DELETE FROM `smiles` WHERE `category` = '".$category['id']."'");
	  mysql_query("DELETE FROM `smiles_category` WHERE `id` = '".$category['id']."'");
      echo '<div class = "action">Категория успешно удалена!</div>';
      } else {
      $name = checkout($category['name']);
	  echo 'Вы уверены, что хотите удалить категорию <a href = "smiles.php?act=view&id='.$id.'">'.$name.'</a> и все находящиеся в ней смайлики?<br/>';
      echo '<form action="smiles.php?act=delete_cat&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
echo '</div>';
include 'foot.php';
}
}
break;

//Добавление смайлика ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_smile':
if ($u['admin'] == 1){
$title = $title.' | Смайлики';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики | Создание категории</div>';
echo '<div class="subtitle">';
echo '<a href = "smiles.php">К категориям</a>';
echo '</div>';
echo '<div class="main_menu">';

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `smiles_category` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $category = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($category){
if (isset($_POST['submit']) and isset($_FILES['image']['tmp_name']) and isset($_POST['code_smile'])) {
$code_smile = check(substr($_POST['code_smile'], 0, 100));
//Подходит ли формат
if ($_FILES['image']['type'] == 'image/gif') {
   //Подходит ли размер: ширина, высота
   $info_smile = getimagesize($_FILES['image']['tmp_name']); 
   if ($info_smile[0]<=100 && $info_smile[1]<=100) {
      //Если все норм записываем в базу перемещаем файл
      mysql_query("INSERT INTO `smiles` SET
      `code` = '$code_smile',
      `category` = '".$category['id']."'
      ");
	  $id_smile = mysql_insert_id();
      //Создаем папку smiles если она еще не создана
      @mkdir("smiles", 0777);
      $name_smile2 = ''.$id_smile.'.gif';
      move_uploaded_file($_FILES['image']['tmp_name'],"smiles/".$name_smile2);
   echo '<div class = "action">Смайлик успешно загружен в категорию <a href = "smiles.php?act=view&cat='.$category['id'].'"><b>'.$category['name'].'</b></a>!</div>';
   } else {
   echo '<div class = "action">Запрещенный размер! Разрешено до 100х100!</div>';
   }
} else {
echo '<div class = "action">Запрещенный формат! Разрешен только gif!</div>';
}
} else {
//Блоки ввода
echo '<form action=smiles.php?act=add_smile&id='.$category['id'].' method=post enctype=multipart/form-data>
Картинка (Только .gif; не более 100x100): <br/><input type = file name = image SIZE = 15><br/>
Код смайлика: <br/>
<input type = text name = code_smile maxlength=50 size = "10"><br/>
<input type = submit name="submit" value = Загрузить  class = submit white/></form>';
}

} else { 
echo '<div class = "action">Категории не существует!</div>'; 
}
echo '</div>';
include 'foot.php';
}
break;

//Просмотр категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'view':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `smiles_category` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $category = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($category){
$name_category = checkout($category['name']);
$title = $title.' | Смайлики | '.$name_category.'';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики | '.$name_category.'</div>';
if($u['admin'] == 1) echo '<div class="subtitle"><a href = "smiles.php?act=add_smile&id='.$category['id'].'">Добавить смайлик</a></div>';
echo '<div class="subtitle">';
echo '<a href = "smiles.php">К категориям</a>';
echo '</div>';
echo '<div class="main_menu">';
//Удаление
if($u['admin'] == 1){
   if($_GET['del']){
   $del = num($_GET['del']);
   $smilecheck = mysql_num_rows(mysql_query("SELECT * FROM `smiles` WHERE `id` = '$del' LIMIT 1"));
   if ($smilecheck) {
   unlink('smiles/'.$del.'.gif');
   mysql_query("DELETE FROM `smiles` WHERE `id` = '$del'");
   echo '<div class = "action">Смайлик успешно удален!</div><hr>';
   }
   }
}

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles` WHERE `category` = '".$category['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 15) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 15 - 15;
$result = mysql_query("SELECT * FROM `smiles` WHERE `category` = '".$category['id']."' ORDER BY `id` DESC LIMIT $start, 15");
   while($smile = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
      $code = checkout($smile['code']);
      echo '<img src = "smiles/'.$smile['id'].'.gif"> <font color = "red">'.$code.'</font>'; if ($u['admin'] == 1) { echo ' <a href = "smiles.php?act=view&id='.$category['id'].'&del='.$smile['id'].'"><img src = "img/delete.gif"></a>'; }
      echo '<hr>';
      echo '</div>';
	  $i++;
   } 
   navigation($page, $total,'smiles.php?act=view&id='.$category['id'].'&');
}else{
echo 'Смайликов не найдено!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: smiles.php");
}
break;

//Категории смайликов ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:
$title = $title.' | Смайлики';
include 'head.php';
echo '<div class="title"><img src= "img/smiles.gif"> Смайлики</div>';
if($u['admin'] == 1) echo '<div class="subtitle"><a href = "smiles.php?act=add_cat">Добавить категорию</a></div>';
echo '<div class="main_menu">';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_category`"), 0);
if($all > 0){
$result = mysql_query("SELECT * FROM `smiles_category` ORDER BY `ord` DESC");
   while($category = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles` WHERE `category` = '".$category['id']."'"), 0);
      $name = checkout($category['name']);
      echo '<a href = "smiles.php?act=view&id='.$category['id'].'">'.$name.'</a> ('.$count.') '; if ($u['admin'] == 1) { echo '<a href = "smiles.php?act=edit_cat&id='.$category['id'].'"><img src = "img/edit.gif"></a> | <a href = "smiles.php?act=delete_cat&id='.$category['id'].'"><img src = "img/delete.gif"></a>'; }
      echo '<hr>';
      echo '</div>';
	  $i++;
   }  
}else{
echo 'Категорий смайликов не найдено!';
}
echo '</div>';
include 'foot.php';
break;
}
?>